]> git.sev.monster Git - dotfiles.git/blobdiff - base/.xinitrc
update firefox theming
[dotfiles.git] / base / .xinitrc
index fc4bbb57a8f61f13a85c422aa0f6ed11ca14841f..72661b433d652be032c87989b257d7ee081cbb13 100644 (file)
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/bin/zsh
+# using zsh to load .zshenv (eg. for PATH) but file is sh-compatible
 
 sysmodmap=/usr/local/etc/X11/xinit/.Xmodmap
 sysresources=/usr/local/etc/X11/xinit/.Xresources
-usermodmap="$HOME/.Xmodmap"
-userresources="$HOME/.Xresources"
+usermodmap=~/.Xmodmap
+userresources=~/.Xresources
 
 if [ -f $sysresources ]; then
        xrdb -merge $sysresources
@@ -45,22 +46,25 @@ volumeicon &
 # daemons
 dunst &
 mpc-notify -d &
-xautolock -time 10 -locker "$HOME/bin/l" &
+xautolock -time 10 -locker "$HOME/bin/lck" &
 xbanish &
 eval `ssh-agent`
 
-if [ -x /usr/local/bin/urxvtd ]; then
+if [ -z "$TERMINAL" -a \( -x /usr/bin/urxvtd -o -x /usr/local/bin/urxvtd \) ]; then
        for i in 1 2; do
                # try to start client twice, once before checking for daemon
                # and another after trying to start it
-               urxvtc -e exit
+               urxvtc -e exit 2>/dev/null
                if [ $? -eq 2 ]; then
                        # daemon not started, attempt to start once
                        if [ $i -eq 1 ]; then
                                urxvtd -q -o -f
+                       else
+                               TERMINAL=urxvt
+                               export TERMINAL
                        fi
                else
-                       TERMINAL=/usr/local/bin/urxvtc
+                       TERMINAL=urxvtc
                        export TERMINAL
                        break
                fi
@@ -69,12 +73,11 @@ if [ -x /usr/local/bin/urxvtd ]; then
 fi
 
 # try to wait for session to start
-#(sleep 0.1 && tint2) &
-#(sleep 0.1 && yabar -c "$HOME/etc/yabar/yabar.conf") &
-#x220t
-(sleep 0.1 && [ -x "$HOME/bin/acpi_ac" ] && \
-       "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
-(sleep 1.5 && [ -x /usr/local/bin/conky ] && conky -c "$HOME/.conkyrc.d/dock") &
+(sleep 0.1 && tint2) &
+# x220t
+# TODO: check hostname to load auxillary things
+# TODO: reformat for linux
+#(sleep 0.1 "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
 
 # load any global scripts
 if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
@@ -85,7 +88,7 @@ if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
 fi
 
 # start session
-if [ ! -n "$1" ]; then
+if [ -z "$1" ]; then
        session=i3
 else
        session=$1
This page took 0.031185 seconds and 4 git commands to generate.